from django.shortcuts import render
import uuid

def make_user_id():
    return str(uuid.uuid4()).replace('-', '')

def index(request):
    result = request.GET.get('result', None)
    return render(request, 'index.html', {
        'result': result,
        'user_id': make_user_id(),
    })

def about_us(request):
    return render(request, 'about_us.html', {
        'user_id': make_user_id(),
    })
